VMTKRBFINTERPOLATION(1)

NAME
vmtkrbfinterpolation - vmtk script vmtkrbfinterpolation

DESCRIPTION
Automatic piping vmtkrbfinterpolation Parsing options vmtkrbfinterpolation

vmtkrbfinterpolation : perform RBF interpolation from a set of seeds

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Seeds (vtkPolyData,1): the input seeds

-ifile SeedsInputFileName (str,1): filename for the default Seeds

    reader

-r Image (vtkImageData,1): the reference image

-rfile ImageInputFileName (str,1): filename for the default Image

    reader

-dimensions Dimensions (int,3); default=[0, 0, 0]

-bounds Bounds (float,6); default=[0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

-rbftype RBFType (str,1) in ['thinplatespline', 'biharmonic',

    'triharmonic']; default=biharmonic: the type of RBF interpolation

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image